Subject: GNU info
From: [email-masked] (Loren Carpenter)
Date: Wed, 26 May 93 4:30:02 EDT
Newsgroups: rec.humor.funny

Copied verbatim from a sign at the San Diego Zoo...

	Brindled Wildebeest or Gnu

	Connochaetes taurinus taurinus

	An African folk story says the wildebeest was
	created last, from leftover parts of other animals.
	Today we'd say it looks like it was put together by
	a committee.  When bothered, gnus even act like a
	committee.  They seem to run in all directions at
	once, thrashing their heads and tails wildly.

	Range:      Southern Tanzania to South Africa
	Habitat:    Grasslands and open woodlands
	Wild Diet:  Grass, leaves, herbs
	Zoo Diet:   Alfalfa pellets, hay, leaves
	Status:     Stable; this subspecies is rare in zoos

----------------------------------------
From:  Don Chiasson <[email-masked]>
Subject: Some gnu jokes
To: [email-masked], [email-masked], [email-masked]
cc: [email-masked]
Message-ID: <[email-masked]>

     Richard M. Stallman (RMS, widely known for creating EMACS) is writing
a UNIX clone called GNU (which means Gnu's Not Unix--a recursive acronym).
This seems to open the way to a whole gnu class of jokes.  For example:

Q:  What do you call a person who hacks while wearing no clothes?
A:  A gnudist.

Q:  What do you call an eligible young hacker?
A:  Gnubile.

Q:  What is a hacker's favorite candy?
A:  Gnugat.   (Though it contains little gnutrition.)

Q:  What do you call a computer filled with air?
A:  Gnumatic.

Q:  What do you call a novice hacker who keeps pestering you 
    with foolish questions?
A:  A gnuisance.

Q:  What do you call a subtle, clever hack in the favorite language?
A:  A gnuanCe.

Q:  What do you use a supercomputer for?
A:  Gnumerical analysis.

Q:  What do you call a hacker who collects coins?
A:  A gnumismatist.

     Well, there are more, just too gnumerous to tell all at once.  I think
I'd better go before someone starts firing gnuclear weapons at me.
		Don

From: [email-masked] (Patrick J. LoPresti)
Message-ID: <[email-masked]>
Sender: [email-masked] (News system)
Subject: The True Path (long)
Date: 11 Jul 91 03:17:31 GMT
Path: ai-lab!mintaka!olivea!samsung!zaphod.mps.ohio-state.edu!think.com!snorkelwacker.mit.edu!bloom-picayune.mit.edu!athena.mit.edu!patl
Newsgroups: alt.religion.emacs,alt.slack
Organization: Massachusetts Institute of Technology
Lines: 95
Xref: ai-lab alt.religion.emacs:244 alt.slack:1935

When I log into my Xenix system with my 110 baud teletype, both vi
*and* Emacs are just too damn slow.  They print useless messages like,
'C-h for help' and '"foo" File is read only'.  So I use the editor
that doesn't waste my VALUABLE time.

Ed, man!  !man ed

ED(1)               UNIX Programmer's Manual                ED(1)

NAME
     ed - text editor

SYNOPSIS
     ed [ - ] [ -x ] [ name ]
DESCRIPTION
     Ed is the standard text editor.
- ---

Computer Scientists love ed, not just because it comes first
alphabetically, but because it's the standard.  Everyone else loves ed
because it's ED!

"Ed is the standard text editor."

And ed doesn't waste space on my Timex Sinclair.  Just look:

- -rwxr-xr-x  1 root          24 Oct 29  1929 /bin/ed
- -rwxr-xr-t  4 root     1310720 Jan  1  1970 /usr/ucb/vi
- -rwxr-xr-x  1 root  5.89824e37 Oct 22  1990 /usr/bin/emacs

Of course, on the system *I* administrate, vi is symlinked to ed.
Emacs has been replaced by a shell script which 1) Generates a syslog
message at level LOG_EMERG; 2) reduces the user's disk quota by 100K;
and 3) RUNS ED!!!!!!

"Ed is the standard text editor."

Let's look at a typical novice's session with the mighty ed:

golem> ed

?
help
?
?
?
quit
?
exit
?
bye
?
hello? 
?
eat flaming death
?
^C
?
^C
?
^D
?

- ---
Note the consistent user interface and error reportage.  Ed is
generous enough to flag errors, yet prudent enough not to overwhelm
the novice with verbosity.

"Ed is the standard text editor."

Ed, the greatest WYGIWYG editor of all.

ED IS THE TRUE PATH TO NIRVANA!  ED HAS BEEN THE CHOICE OF EDUCATED
AND IGNORANT ALIKE FOR CENTURIES!  ED WILL NOT CORRUPT YOUR PRECIOUS
BODILY FLUIDS!!  ED IS THE STANDARD TEXT EDITOR!  ED MAKES THE SUN
SHINE AND THE BIRDS SING AND THE GRASS GREEN!!

When I use an editor, I don't want eight extra KILOBYTES of worthless
help screens and cursor positioning code!  I just want an EDitor!!
Not a "viitor".  Not a "emacsitor".  Those aren't even WORDS!!!! ED!
ED! ED IS THE STANDARD!!!

TEXT EDITOR.

When IBM, in its ever-present omnipotence, needed to base their
"edlin" on a UNIX standard, did they mimic vi?  No.  Emacs?  Surely
you jest.  They chose the most karmic editor of all.  The standard.

Ed is for those who can *remember* what they are working on.  If you
are an idiot, you should use Emacs.  If you are an Emacs, you should
not be vi.  If you use ED, you are on THE PATH TO REDEMPTION.  THE
SO-CALLED "VISUAL" EDITORS HAVE BEEN PLACED HERE BY ED TO TEMPT THE
FAITHLESS.  DO NOT GIVE IN!!!  THE MIGHTY ED HAS SPOKEN!!!

?

From: The Unknown User <[email-masked]>
Subject: EMACS -- What does it mean?
To: [email-masked]

EMACS belongs in <sys/errno.h>: Editor too big!

Escape-Meta-Alt-Control-Shift